Package org.kapott.hbci.sepa.jaxb.camt_052_001_01

## Class Rate1

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_01.Rate1

    public class Rate1
    extends java.lang.Object

Java class for Rate1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="Rate1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Rate" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}RateTypeChoice"/>
             <element name="VldtyRg" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}CurrencyAndAmountRange" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected RateTypeChoice` `rate`
`protected CurrencyAndAmountRange` `vldtyRg`

### Constructor Summary

Constructors
`Rate1()`

### Method Summary

All Methods Instance Methods Concrete Methods
`RateTypeChoice` `getRate()` Gets the value of the rate property.
`CurrencyAndAmountRange` `getVldtyRg()` Gets the value of the vldtyRg property.
`void` `setRate​(RateTypeChoice value)` Sets the value of the rate property.
`void` `setVldtyRg​(CurrencyAndAmountRange value)` Sets the value of the vldtyRg property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### rate

    protected RateTypeChoice rate

#### vldtyRg

    protected CurrencyAndAmountRange vldtyRg

### Constructor Detail

#### Rate1

    public Rate1()

### Method Detail

#### getRate

    public RateTypeChoice getRate()

Gets the value of the rate property.

Returns:
  possible object is `RateTypeChoice`

#### setRate

    public void setRate​(RateTypeChoice value)

Sets the value of the rate property.

Parameters:
  `value` - allowed object is `RateTypeChoice`

#### getVldtyRg

    public CurrencyAndAmountRange getVldtyRg()

Gets the value of the vldtyRg property.

Returns:
  possible object is `CurrencyAndAmountRange`

#### setVldtyRg

    public void setVldtyRg​(CurrencyAndAmountRange value)

Sets the value of the vldtyRg property.

Parameters:
  `value` - allowed object is `CurrencyAndAmountRange`